### Hierarchy

- Spec
  - Edges

## Index

### Constructors

- constructor

### Properties

- _bottom
- _left
- _right
- _top
- nodeChildDict

### Accessors

- bottom
- left
- right
- top

### Methods

- initEdgesWith

## Constructors

### constructor

- new Edges(node?: Node): Edges

- Overrides Spec.constructor

  - Defined in print/PrintForm.ts:645

  #### Parameters

  - ##### Optional node: Node

  #### Returns Edges

## Properties

### _bottom

_bottom: number

- Defined in print/PrintForm.ts:644

### _left

_left: number

- Defined in print/PrintForm.ts:643

### _right

_right: number

- Defined in print/PrintForm.ts:645

### Private _top

_top: number

- Defined in print/PrintForm.ts:642

### Protected nodeChildDict

nodeChildDict: Object

Inherited from Spec.nodeChildDict

- Defined in print/PrintForm.ts:109

## Accessors

### bottom

- get bottom(): number

- - Defined in print/PrintForm.ts:675

  #### Returns number

### left

- get left(): number

- - Defined in print/PrintForm.ts:672

  #### Returns number

### right

- get right(): number

- - Defined in print/PrintForm.ts:678

  #### Returns number

### top

- get top(): number

- - Defined in print/PrintForm.ts:669

  #### Returns number

## Methods

### initEdgesWith

- initEdgesWith(top?: number, left?: number, bottom?: number, right?: number): void

- - Defined in print/PrintForm.ts:663

  #### Parameters

  - ##### Optional top: number

  - ##### Optional left: number

  - ##### Optional bottom: number

  - ##### Optional right: number

  #### Returns void

Generated using TypeDoc